Official TensorFlow for Jetson Nano!

We are still waiting for a new Jetpack 4.4 compatible build.

1 Like

I have build TF2.1.1 from source, feel free: Tensorflow 2.x on Jetson nano

I know, but since you couldn’t guarantee that it would work on the Jetson Xavier NX I chose to wait for an official build.

For now I installed the last 2.1.0 version for Jetpack 43.

I’m still working on getting my project up and running so I don’t know if that will work without issues, but I managed to import tensorflow in a Python 3.6 shell and was able to do tensorflow.version successfully!

— edit —

Nevermind, this one fails on the dependencies to the CUDA infrastructure as it was built with CUDA 10.0 in mind and not CUDA 10.1.

Sigh, back to waiting for NVIDIA to get their thumb out of their posterior and them either building a new version of 2.1.0 with the correct settings or 2.1.1 with the correct settings.

Or bite the bullit and build it myself…

1 Like

Hello, i have followed the instructions at the nvidia site to install tensorflow on my nano. After some trial and error, figuring out which jetpack version i had installed on that nano, i got the installation to proceed. Stuff downloaded and compiled.
When i verified the installation with the simplest python3 script that imports tensorflow, i got an error:

import urllib3
ValueError: source code string cannot contain null bytes.

I managed to fix this error by reinstalling urllib3:
pip3 install --upgrade --force-reinstall urllib3

I don’t know why my instance of urllib3 was broken? Have others seen a similar error?

hello,
I installed tensorflow 1.13.1nv19.3 for my 4.2 jetpack. While running my object detection python program i am facing following error. Anybody has any idea about it. When i tried t run it on my normal gpu on my windows laptop it works perfectly fine.error.txt (1.0 KB)

I have a tf check code:

#!/usr/bin/env python
import tensorflow as tf
print("TENSORFLOW VERSION ---->: "+tf.__version__)
if tf.test.gpu_device_name(): 
   print('Default GPU Device:{}'.format(tf.test.gpu_device_name())) 
else: 
   print("Please install GPU version of TF")

for most of the libs I was able to create sym links (eg) from libcusparse.so.10.0 to libcusparse.so.10, except libcuart 10.2 and libcudnn 8 (both not present in the system, I can only see 10 and 7 respectively), please advise if there’s anything we can do or if that affects the range of the things I can do.

2020-07-07 21:36:33.289284: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘libcudart.so.10.2’; dlerror: libcudart.so.10.2: cannot open shared object file: No such file or directory; LD_LIBRARY_PATH: /usr/local/cuda-10.0/targets/aarch64-linux/lib/
2020-07-07 21:36:33.289346: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine.
TENSORFLOW VERSION ---->: 2.2.0
2020-07-07 21:36:38.470391: W tensorflow/core/platform/profile_utils/cpu_utils.cc:106] Failed to find bogomips or clock in /proc/cpuinfo; cannot determine CPU frequency
2020-07-07 21:36:38.471122: I tensorflow/compiler/xla/service/service.cc:168] XLA service 0x936e630 initialized for platform Host (this does not guarantee that XLA will be used). Devices:
2020-07-07 21:36:38.471175: I tensorflow/compiler/xla/service/service.cc:176] StreamExecutor device (0): Host, Default Version
2020-07-07 21:36:38.479543: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library libcuda.so.1
2020-07-07 21:36:38.564116: I tensorflow/stream_executor/cuda/cuda_gpu_executor.cc:948] ARM64 does not support NUMA - returning NUMA node zero
2020-07-07 21:36:38.564633: I tensorflow/compiler/xla/service/service.cc:168] XLA service 0x9332410 initialized for platform CUDA (this does not guarantee that XLA will be used). Devices:
2020-07-07 21:36:38.564700: I tensorflow/compiler/xla/service/service.cc:176] StreamExecutor device (0): NVIDIA Tegra X1, Compute Capability 5.3
2020-07-07 21:36:38.565388: I tensorflow/stream_executor/cuda/cuda_gpu_executor.cc:948] ARM64 does not support NUMA - returning NUMA node zero
2020-07-07 21:36:38.565542: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1561] Found device 0 with properties:
pciBusID: 0000:00:00.0 name: NVIDIA Tegra X1 computeCapability: 5.3
coreClock: 0.9216GHz coreCount: 1 deviceMemorySize: 3.87GiB deviceMemoryBandwidth: 194.55MiB/s
2020-07-07 21:36:38.565841: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘libcudart.so.10.2’; dlerror: libcudart.so.10.2: cannot open shared object file: No such file or directory; LD_LIBRARY_PATH: /usr/local/cuda-10.0/targets/aarch64-linux/lib/
2020-07-07 21:36:38.569063: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library libcublas.so.10
2020-07-07 21:36:38.571744: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library libcufft.so.10
2020-07-07 21:36:38.572537: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library libcurand.so.10
2020-07-07 21:36:38.576444: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library libcusolver.so.10
2020-07-07 21:36:38.579436: I tensorflow/stream_executor/platform/default/dso_loader.cc:48] Successfully opened dynamic library libcusparse.so.10
2020-07-07 21:36:38.579749: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘libcudnn.so.8’; dlerror: libcudnn.so.8: cannot open shared object file: No such file or directory; LD_LIBRARY_PATH: /usr/local/cuda-10.0/targets/aarch64-linux/lib/
2020-07-07 21:36:38.579795: W tensorflow/core/common_runtime/gpu/gpu_device.cc:1598] Cannot dlopen some GPU libraries. Please make sure the missing libraries mentioned above are installed properly if you would like to use GPU. Follow the guide at https://www.tensorflow.org/install/gpu for how to download and setup the required libraries for your platform.
Skipping registering GPU devices…
2020-07-07 21:36:38.579874: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1102] Device interconnect StreamExecutor with strength 1 edge matrix:
2020-07-07 21:36:38.579910: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1108] 0
2020-07-07 21:36:38.579951: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1121] 0: N
Please install GPU version of TF

^^^ @blarish ^^^

The new build was released last week.

1 Like

Try to install cython first, then h5py

Cheers
we

1 Like

Hello,

I followed the steps for installing tensor flow but got the following message. Is this expected or have I done something incorrectly? Thanks in advance!

2020-07-16 10:57:32.862206: W tensorflow/stream_executor/platform/default/dso_loader.cc:59] Could not load dynamic library ‘libcudart.so.10.2’; dlerror: libcudart.so.10.2: cannot open shared object file: No such file or directory
2020-07-16 10:57:32.862275: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine.

Greetings,

I am using Jetpack version 4.3 and installed Tensorflow version 2.1.0. I am facing an error when installing Keras asking me to install Tensorflow 2.2. Is there a guide on installing Keras for Jetpack 4.3?

@sameullah.akshan,

I found that only Keras version 2.3.1 and not the latest version of Keras will work with Tensorflow version 2.1.0.

Try pip install ==2.3.1

Regards,
TCIII

1 Like

python /usr/lib/python2.7/dist-packages/uff/bin/convert_to_uff.py frozen_inference_graph.pb -O NMS -p /usr/src/tensorrt/samples/sampleUffSSD/config.py -o sample_ssd_relu6.uff
Traceback (most recent call last):
File “/usr/lib/python2.7/dist-packages/uff/bin/convert_to_uff.py”, line 18, in
import uff
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/init.py”, line 2, in
from uff.converters.tensorflow.conversion_helpers import from_tensorflow # noqa
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/converters/tensorflow/conversion_helpers.py”, line 12, in
from .converter_functions import * # noqa
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/converters/tensorflow/converter_functions.py”, line 12, in
from uff.converters.tensorflow.converter import TensorFlowToUFFConverter as tf2uff
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/converters/tensorflow/converter.py”, line 14, in
from tensorflow import AttrValue
ImportError: No module named tensorflow

python3 /usr/lib/python2.7/dist-packages/uff/bin/convert_to_uff.py frozen_inference_graph.pb -O NMS -p /usr/src/tensorrt/samples/sampleUffSSD/config.py -o sample_ssd_relu6.uff
Traceback (most recent call last):
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/numpy/core/init.py”, line 16, in
from . import multiarray
ImportError: cannot import name ‘multiarray’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python2.7/dist-packages/uff/bin/convert_to_uff.py”, line 18, in
import uff
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/init.py”, line 1, in
from uff import converters, model # noqa
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/model/init.py”, line 2, in
from .meta_graph import MetaGraph # noqa
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/model/meta_graph.py”, line 4, in
from .core_descriptor import CORE_DESCRIPTOR, CUSTOM_DESCRIPTOR
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/model/core_descriptor.py”, line 2, in
from .descriptor import Descriptor, DescriptorOp
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/model/descriptor.py”, line 8, in
from .data import FieldType, create_data
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/uff/model/data.py”, line 1, in
import numpy as np
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/numpy/init.py”, line 142, in
from . import add_newdocs
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/numpy/add_newdocs.py”, line 13, in
from numpy.lib import add_newdoc
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/numpy/lib/init.py”, line 8, in
from .type_check import *
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/numpy/lib/type_check.py”, line 11, in
import numpy.core.numeric as _nx
File “/usr/lib/python2.7/dist-packages/uff/bin/…/…/numpy/core/init.py”, line 26, in
raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed. Most
likely you are trying to import a failed build of numpy.
If you’re working with a numpy git repo, try git clean -xdf (removes all
files not under version control). Otherwise reinstall numpy.

Original error was: cannot import name ‘multiarray’

when i follow the command to use ssd i cant get the uff model, how can i solve this problem

Hi ! I got this error while entering the fourth command

ih5py/_conv.pyx:858:57: Cannot convert '<error>' to Python object

Error compiling Cython file:
------------------------------------------------------------
...
    H5Tunregister(H5T_PERS_SOFT, "fixed2vlen", -1, -1, fixed2vlen)

    H5Tunregister(H5T_PERS_HARD, "objref2pyref", -1, -1, objref2pyref)
    H5Tunregister(H5T_PERS_HARD, "pyref2objref", -1, -1, pyref2objref)

    H5Tunregister(H5T_PERS_HARD, "regref2pyref", -1, -1, regref2pyref)
                                                        ^
------------------------------------------------------------

h5py/_conv.pyx:860:57: Cannot convert '<error>' to Python object

Error compiling Cython file:
------------------------------------------------------------
...

    H5Tunregister(H5T_PERS_HARD, "objref2pyref", -1, -1, objref2pyref)
    H5Tunregister(H5T_PERS_HARD, "pyref2objref", -1, -1, pyref2objref)

    H5Tunregister(H5T_PERS_HARD, "regref2pyref", -1, -1, regref2pyref)
    H5Tunregister(H5T_PERS_HARD, "pyref2regref", -1, -1, pyref2regref)
                                                        ^
------------------------------------------------------------

h5py/_conv.pyx:861:57: Cannot convert '<error>' to Python object

Error compiling Cython file:
------------------------------------------------------------
...
    H5Tunregister(H5T_PERS_HARD, "pyref2objref", -1, -1, pyref2objref)

    H5Tunregister(H5T_PERS_HARD, "regref2pyref", -1, -1, regref2pyref)
    H5Tunregister(H5T_PERS_HARD, "pyref2regref", -1, -1, pyref2regref)

    H5Tunregister(H5T_PERS_SOFT, "enum2int", -1, -1, enum2int)
                                                    ^
------------------------------------------------------------

h5py/_conv.pyx:863:53: Cannot convert '<error>' to Python object

Error compiling Cython file:
------------------------------------------------------------
...

    H5Tunregister(H5T_PERS_HARD, "regref2pyref", -1, -1, regref2pyref)
    H5Tunregister(H5T_PERS_HARD, "pyref2regref", -1, -1, pyref2regref)

    H5Tunregister(H5T_PERS_SOFT, "enum2int", -1, -1, enum2int)
    H5Tunregister(H5T_PERS_SOFT, "int2enum", -1, -1, int2enum)
                                                    ^
------------------------------------------------------------

h5py/_conv.pyx:864:53: Cannot convert '<error>' to Python object

Error compiling Cython file:
------------------------------------------------------------
...
    H5Tunregister(H5T_PERS_HARD, "pyref2regref", -1, -1, pyref2regref)

    H5Tunregister(H5T_PERS_SOFT, "enum2int", -1, -1, enum2int)
    H5Tunregister(H5T_PERS_SOFT, "int2enum", -1, -1, int2enum)

    H5Tunregister(H5T_PERS_SOFT, "vlen2ndarray", -1, -1, vlen2ndarray)
                                                        ^
------------------------------------------------------------

h5py/_conv.pyx:866:57: Cannot convert '<error>' to Python object

Error compiling Cython file:
------------------------------------------------------------
...

    H5Tunregister(H5T_PERS_SOFT, "enum2int", -1, -1, enum2int)
    H5Tunregister(H5T_PERS_SOFT, "int2enum", -1, -1, int2enum)

    H5Tunregister(H5T_PERS_SOFT, "vlen2ndarray", -1, -1, vlen2ndarray)
    H5Tunregister(H5T_PERS_SOFT, "ndarray2vlen", -1, -1, ndarray2vlen)
                                                        ^
------------------------------------------------------------

h5py/_conv.pyx:867:57: Cannot convert '<error>' to Python object
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/tmp/pip-install-qh3zoi2a/h5py/setup.py", line 168, in <module>
    cmdclass = CMDCLASS,
  File "/usr/local/lib/python3.6/dist-packages/setuptools/__init__.py", line 165, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib/python3.6/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/lib/python3.6/distutils/dist.py", line 955, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python3.6/distutils/dist.py", line 974, in run_command
    cmd_obj.run()
  File "/usr/local/lib/python3.6/dist-packages/setuptools/command/install.py", line 61, in run
    return orig.install.run(self)
  File "/usr/lib/python3.6/distutils/command/install.py", line 589, in run
    self.run_command('build')
  File "/usr/lib/python3.6/distutils/cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python3.6/distutils/dist.py", line 974, in run_command
    cmd_obj.run()
  File "/usr/lib/python3.6/distutils/command/build.py", line 135, in run
    self.run_command(cmd_name)
  File "/usr/lib/python3.6/distutils/cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python3.6/distutils/dist.py", line 974, in run_command
    cmd_obj.run()
  File "/tmp/pip-install-qh3zoi2a/h5py/setup_build.py", line 203, in run
    force=config.rebuild_required or self.force)
  File "/tmp/pip-install-qh3zoi2a/h5py/.eggs/Cython-3.0a6-py3.6.egg/Cython/Build/Dependencies.py", line 1110, in cythonize
    cythonize_one(*args)
  File "/tmp/pip-install-qh3zoi2a/h5py/.eggs/Cython-3.0a6-py3.6.egg/Cython/Build/Dependencies.py", line 1277, in cythonize_one
    raise CompileError(None, pyx_file)
Cython.Compiler.Errors.CompileError: /tmp/pip-install-qh3zoi2a/h5py/h5py/_conv.pyx
----------------------------------------
ERROR: Command errored out with exit status 1: /usr/bin/python3 -u -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-qh3zoi2a/h5py/setup.py'"'"'; __file__='"'"'/tmp/pip-install-qh3zoi2a/h5py/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' install --record /tmp/pip-record-5a4hkp9l/install-record.txt --single-version-externally-managed --compile --install-headers /usr/local/include/python3.6/h5py Check the logs for full command output.
WARNING: You are using pip version 20.2; however, version 20.2.1 is available.

Any idea what’s going on and how can I solve it ?

@AastaLLL
Hi!
When will TensorFlow 2.3 be released? I need to use it.
Thanks.

My JetPack: After type: cat /etc/nv_tegra_release

R32 (release), REVISION: 4.2, GCID: 20074772, BOARD: t210ref, EABI: aarch64, DATE: Thu Apr 9 01:22:12 UTC 2020

I tried to install TF, but always get the info:

ERROR: After October 2020 you may experience errors when installing or updating packages. This is because pip will change the way that it resolves dependency conflicts.

We recommend you use --use-feature=2020-resolver to test your packages with the new resolver before it becomes the default.

tensorflow-gpu 1.13.1+nv19.3 requires tensorboard<1.14.0,>=1.13.0, but you’ll have tensorboard 2.2.2 which is incompatible.
tensorflow-gpu 1.13.1+nv19.3 requires tensorflow-estimator<1.14.0rc0,>=1.13.0, but you’ll have tensorflow-estimator 2.2.0 which is incompatible.

I tried these steps for my nano(A02, Jetpack4.3, for tensorflow2.x) and had some problems within the last step.
Preparing wheel metadata … error
ERROR: Command errored out with exit status 1:
command: /usr/bin/python3 /usr/local/lib/python3.6/dist-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmpt5ij3xec
cwd: /tmp/pip-install-uvpom8hh/scipy
Complete output (109 lines):
lapack_opt_info:
lapack_mkl_info:
customize UnixCCompiler
libraries mkl_rt not found in [’/usr/local/lib’, ‘/usr/lib’, ‘/usr/lib/aarch64-linux-gnu’]
NOT AVAILABLE

    openblas_lapack_info:
      libraries openblas not found in ['/usr/local/lib', '/usr/lib', '/usr/lib/aarch64-linux-gnu']
      NOT AVAILABLE
    
    openblas_clapack_info:
      libraries openblas,lapack not found in ['/usr/local/lib', '/usr/lib', '/usr/lib/aarch64-linux-gnu']
      NOT AVAILABLE
    
    flame_info:
      libraries flame not found in ['/usr/local/lib', '/usr/lib', '/usr/lib/aarch64-linux-gnu']
      NOT AVAILABLE
    
    atlas_3_10_threads_info:
    Setting PTATLAS=ATLAS
      libraries lapack_atlas not found in /usr/local/lib
      libraries tatlas,tatlas not found in /usr/local/lib
      libraries lapack_atlas not found in /usr/lib
      libraries tatlas,tatlas not found in /usr/lib
      libraries lapack_atlas not found in /usr/lib/aarch64-linux-gnu
      libraries tatlas,tatlas not found in /usr/lib/aarch64-linux-gnu
    <class 'numpy.distutils.system_info.atlas_3_10_threads_info'>
      NOT AVAILABLE
    
    atlas_3_10_info:
      libraries lapack_atlas not found in /usr/local/lib
      libraries satlas,satlas not found in /usr/local/lib
      libraries lapack_atlas not found in /usr/lib
      libraries satlas,satlas not found in /usr/lib
      libraries lapack_atlas not found in /usr/lib/aarch64-linux-gnu
      libraries satlas,satlas not found in /usr/lib/aarch64-linux-gnu
    <class 'numpy.distutils.system_info.atlas_3_10_info'>
      NOT AVAILABLE
    
    atlas_threads_info:
    Setting PTATLAS=ATLAS
      libraries lapack_atlas not found in /usr/local/lib
      libraries ptf77blas,ptcblas,atlas not found in /usr/local/lib
      libraries lapack_atlas not found in /usr/lib
      libraries ptf77blas,ptcblas,atlas not found in /usr/lib
      libraries lapack_atlas not found in /usr/lib/aarch64-linux-gnu
      libraries ptf77blas,ptcblas,atlas not found in /usr/lib/aarch64-linux-gnu
    <class 'numpy.distutils.system_info.atlas_threads_info'>
      NOT AVAILABLE
    
    atlas_info:
      libraries lapack_atlas not found in /usr/local/lib
      libraries f77blas,cblas,atlas not found in /usr/local/lib
      libraries lapack_atlas not found in /usr/lib
      libraries f77blas,cblas,atlas not found in /usr/lib
      libraries lapack_atlas not found in /usr/lib/aarch64-linux-gnu
      libraries f77blas,cblas,atlas not found in /usr/lib/aarch64-linux-gnu
    <class 'numpy.distutils.system_info.atlas_info'>
      NOT AVAILABLE
    
    accelerate_info:
      NOT AVAILABLE
    
    lapack_info:
      libraries lapack not found in ['/usr/local/lib', '/usr/lib', '/usr/lib/aarch64-linux-gnu']
      NOT AVAILABLE
    
    lapack_src_info:
      NOT AVAILABLE
    
      NOT AVAILABLE
    
    setup.py:420: UserWarning: Unrecognized setuptools command ('dist_info --egg-base /tmp/pip-modern-metadata-pbu85swe'), proceeding with generating Cython sources and expanding templates
      ' '.join(sys.argv[1:])))
    Running from scipy source directory.
    /usr/local/lib/python3.6/dist-packages/numpy/distutils/system_info.py:1748: UserWarning:
        Lapack (http://www.netlib.org/lapack/) libraries not found.
        Directories to search for the libraries can be specified in the
        numpy/distutils/site.cfg file (section [lapack]) or by setting
        the LAPACK environment variable.
      return getattr(self, '_calc_info_{}'.format(name))()
    /usr/local/lib/python3.6/dist-packages/numpy/distutils/system_info.py:1748: UserWarning:
        Lapack (http://www.netlib.org/lapack/) sources not found.
        Directories to search for the sources can be specified in the
        numpy/distutils/site.cfg file (section [lapack_src]) or by setting
        the LAPACK_SRC environment variable.
      return getattr(self, '_calc_info_{}'.format(name))()
    Traceback (most recent call last):
      File "/usr/local/lib/python3.6/dist-packages/pip/_vendor/pep517/_in_process.py", line 280, in <module>
        main()
      File "/usr/local/lib/python3.6/dist-packages/pip/_vendor/pep517/_in_process.py", line 263, in main
        json_out['return_val'] = hook(**hook_input['kwargs'])
      File "/usr/local/lib/python3.6/dist-packages/pip/_vendor/pep517/_in_process.py", line 133, in prepare_metadata_for_build_wheel
        return hook(metadata_directory, config_settings)
      File "/usr/local/lib/python3.6/dist-packages/setuptools/build_meta.py", line 158, in prepare_metadata_for_build_wheel
        self.run_setup()
      File "/usr/local/lib/python3.6/dist-packages/setuptools/build_meta.py", line 250, in run_setup
        self).run_setup(setup_script=setup_script)
      File "/usr/local/lib/python3.6/dist-packages/setuptools/build_meta.py", line 143, in run_setup
        exec(compile(code, __file__, 'exec'), locals())
      File "setup.py", line 540, in <module>
        setup_package()
      File "setup.py", line 536, in setup_package
        setup(**metadata)
      File "/usr/local/lib/python3.6/dist-packages/numpy/distutils/core.py", line 135, in setup
        config = configuration()
      File "setup.py", line 435, in configuration
        raise NotFoundError(msg)
    numpy.distutils.system_info.NotFoundError: No lapack/blas resources found.
    ----------------------------------------
ERROR: Command errored out with exit status 1: /usr/bin/python3 /usr/local/lib/python3.6/dist-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmpt5ij3xec Check the logs for full command output.    

What should I do?

hmm I just saw here, there’s TF 2.3 just released yesterday… but I haven’t tried it.

fresh install, have not yet done a full Ubuntu 18.04 update (straight from the bootable image)
32 GB sdcard

h5py wouldn’t build until I installed cython
sudo pip3 install cython

then I went back and repeated the install step that included h5py and it completed.

I had the same problem till I ran
sudo apt-get update
sudo apt-get upgrade
sudo reboot
sudo apt-get install libhdf5-serial-dev hdf5-tools libhdf5-dev zlib1g-dev zip libjpeg8-dev liblapack-dev libblas-dev gfortran
sudo apt-get install python3-pip
sudo pip3 install -U pip
sudo pip3 install -U pip testresources setuptools==49.6.0
sudo pip3 install -U pip testresources setuptools numpy future mock h5py keras_preprocessing keras_applications gast futures protobuf pybind11
annd then install the tensorflow version that you wish